Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.log
Class LoggerBroadcaster.LoggerNotifier

    java.lang.Object
      mx4j.log.Logger
          mx4j.log.LoggerBroadcaster.LoggerNotifier

Enclosing class:
  LoggerBroadcaster

public static class LoggerBroadcaster.LoggerNotifier
extends Logger

Field Summary

Fields inherited from class mx4j.log.Logger
`DEBUG, ERROR, FATAL, INFO, TRACE, WARN`

Constructor Summary
`LoggerBroadcaster.LoggerNotifier()`

Method Summary
`protected void` | `log(int priority, java.lang.Object message, java.lang.Throwable t)`

Methods inherited from class mx4j.log.Logger
`debug, debug, error, error, fatal, fatal, getCategory, getPriority, info, info, isEnabledFor, setCategory, setPriority, trace, trace, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggerBroadcaster.LoggerNotifier

    public LoggerBroadcaster.LoggerNotifier()

Method Detail

### log

    protected void log(int priority,
                       java.lang.Object message,
                       java.lang.Throwable t)

  Overrides:
    `log` in class `Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.